<form [formGroup]="addNewRoom" class="example-form" (ngSubmit)="postRoom()">
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Nazwa Sali</mat-label>
    <input matInput placeholder="" value="" formControlName="name">
  </mat-form-field>
  <h4>Typy sali:</h4>
  <p><mat-checkbox formControlName="ex">ćwiczeniowa</mat-checkbox></p>
  <p><mat-checkbox formControlName="lec">wykładowa</mat-checkbox></p>
  <p><mat-checkbox formControlName="lab">laboratoryjna</mat-checkbox></p>
  <p><mat-checkbox formControlName="sem">seminaryjna</mat-checkbox></p>
  <p><mat-checkbox formControlName="normal">zwykła</mat-checkbox></p>
  <button type="submit" class="btn">
    <span *ngIf="operationType === 'edit'; else elseBlock">Edytuj</span>
    <ng-template #elseBlock>Dodaj</ng-template>
  </button>
</form>
